
QGIS Application - Bug report #11524

Relations Subforms - Start/Stop editing problem

2014-10-30 03:31 AM - Pedro Venâncio

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Forms

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19794

Description

There is a problem in toggle editing button of subforms.

To start editing, you need to click 2-3 times to toggle editing button. The same happens to stop editing.

This problem is recent in master, but I can not say how long, because I have not used this feature in master in the last days (maybe two

weeks).

Tested with QGIS 2.5.0-115 (OSGeo4W 64bits).

Associated revisions

Revision 48af5431 - 2014-10-31 12:53 PM - Jürgen Fischer

invert back toggle editing button in relation editor widget (fixes #11524,

followup b1a2bef1)

Revision ba495f37 - 2015-01-12 01:21 PM - Matthias Kuhn

Correctly synchronize layer editable state with UI in relation editor

Fix #11524

Thank you very much Benjamin Trigona-Harany

History

#1 - 2014-10-30 03:33 AM - Pedro Venâncio

Sorry, I forgot to fill the Category -> Forms.

#2 - 2014-10-30 03:37 AM - Giovanni Manghi

- Category set to Forms

I have seen this on master/linux too.
#3 - 2014-10-31 02:32 AM - Denis Rouzaud

- Assignee set to Matthias Kuhn

I also confirm.

Would be quite painful to release with this one.

#4 - 2014-10-31 03:54 AM - Jürgen Fischer

quick sample project?

#5 - 2014-10-31 04:53 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"48af54316f49d10187e92be9343c57e0a06ef72e".

#6 - 2014-10-31 07:03 AM - Denis Rouzaud

- Status changed from Closed to Reopened

that did not solve the problem for me.

toggling the editing button does not change anything in the embed form.

#7 - 2014-11-01 04:11 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

Denis Rouzaud wrote:

that did not solve the problem for me.

toggling the editing button does not change anything in the embed form.

seems to work here, just tested qgis 2.6 from osgeo4w.

#8 - 2014-11-01 07:21 AM - Pedro Venâncio

Giovanni Manghi wrote:

Denis Rouzaud wrote:

that did not solve the problem for me.

toggling the editing button does not change anything in the embed form.

seems to work here, just tested qgis 2.6 from osgeo4w.
Hi Denis,

I've tested it with QGIS 2.6 on Windows and Linux and the problem seems resolved.

#9 - 2014-11-03 01:49 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

I assume that this is really fixed as any test (on Windows and Linux) show it is, please reopen if necessary.

#10 - 2015-01-05 12:20 PM - Larry Shaffer

- Target version changed from Version 2.6 to Version 2.8

- Status changed from Closed to Reopened

- Priority changed from Severe/Regression to High

- Resolution deleted (fixed/implemented)

Hi,

Not entirely fixed yet. If the child layer of the relation is left in edit mode when the dialog is closed, the 3-click issue (just for starting editing of the child)

appears again on next opening of the same dialog.

Reopening the issue so another user may submit a suggested patch and sample project.

#11 - 2015-01-11 12:52 PM - Benjamin Trigona-Harany

- File qgis_11524.diff added

- File bug.tar.bz2 added

Hello,

I did some testing and the issue appears to be that when creating QgsRelationEditorWidget, we need to set the button toggle state only once the relation

feature is set with setRelationFeature(). You can see the bug in the attached project in 2.6.1 by editing the parent feature.

The attached patch should fix the issue.

#12 - 2015-01-12 04:45 AM - Matthias Kuhn

- Status changed from Reopened to Closed

Patch applied in commit:ba495f371

Thank you very much Benjamin.

If you have further fixes or improvements, it would be best to create pull requests for it on github, that way they can be easier reviewed, discussed and

merged.

Files

bug.tar.bz2 3.59 KB 2015-01-11 Benjamin Trigona-Harany
qgis_11524.diff 989 Bytes 2015-01-11 Benjamin Trigona-Harany
